org.eclipse.net4j.util.security

## Class ChallengeNegotiatorConfigurer

- java.lang.Object
- - org.eclipse.net4j.util.security.ChallengeNegotiatorConfigurer

- All Implemented Interfaces:
    IElementProcessor

      public class ChallengeNegotiatorConfigurer
      extends java.lang.Object
      implements IElementProcessor

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChallengeNegotiatorConfigurer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IRandomizer` | `getRandomizer(IManagedContainer container, java.lang.String description)`
    `protected java.lang.String` | `getRandomizerDescription(java.lang.String description)`
    `protected java.lang.String` | `getRandomizerType(java.lang.String description)`
    `protected IUserManager` | `getUserManager(IManagedContainer container, java.lang.String description)`
    `protected java.lang.String` | `getUserManagerDescription(java.lang.String description)`
    `protected java.lang.String` | `getUserManagerType(java.lang.String description)`
    `java.lang.Object` | `process(IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChallengeNegotiatorConfigurer

          public ChallengeNegotiatorConfigurer()

  - ### Method Detail

    - #### process

          public java.lang.Object process(IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### getRandomizer

          protected IRandomizer getRandomizer(IManagedContainer container,
                                              java.lang.String description)

    - #### getRandomizerType

          protected java.lang.String getRandomizerType(java.lang.String description)

    - #### getRandomizerDescription

          protected java.lang.String getRandomizerDescription(java.lang.String description)

    - #### getUserManager

          protected IUserManager getUserManager(IManagedContainer container,
                                                java.lang.String description)

    - #### getUserManagerType

          protected java.lang.String getUserManagerType(java.lang.String description)

    - #### getUserManagerDescription

          protected java.lang.String getUserManagerDescription(java.lang.String description)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html